
package cn.com.poc.thirdparty.resource.demand.ai.entity.chatgpt;

import cn.com.poc.thirdparty.resource.demand.ai.entity.dialogue.Message;
import com.alibaba.fastjson.annotation.JSONField;

import java.io.Serializable;

public class Choice implements Serializable {

    private Delta delta;
    @JSONField(name = "finish_reason")
    private String finishReason;
    private Long index;
    private Message message;

    public Delta getDelta() {
        return delta;
    }

    public void setDelta(Delta delta) {
        this.delta = delta;
    }

    public String getFinishReason() {
        return finishReason;
    }

    public void setFinishReason(String finishReason) {
        this.finishReason = finishReason;
    }

    public Long getIndex() {
        return index;
    }

    public void setIndex(Long index) {
        this.index = index;
    }

    public Message getMessage() {
        return message;
    }

    public void setMessage(Message message) {
        this.message = message;
    }
}
